Do XULRunner 1.9.0.3 release spin

RESOLVED FIXED

Status

RESOLVED FIXED
10 years ago
5 years ago

People

(Reporter: mfinkle, Assigned: bhearsum)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 2 obsolete attachments)

Created attachment 340124 [details] [diff] [review]
updates xr-moz19-bootstrap.cfg to build xr1.9.0.2

Make a XULRunner release to match the Firefox 3.0.1 release

This patch updates the xr-moz19-bootstrap.cfg to match the pull date for Firefox 3.0.2

I noticed that the tag would be RELEASE_AUTOMATION_M11 instead of RELEASE_AUTOMATION_M10.
Attachment #340124 - Flags: review?(bhearsum)
(Reporter)

Updated

10 years ago
No longer depends on: 447731
(Assignee)

Updated

10 years ago
Attachment #340124 - Flags: review?(bhearsum) → review+
(Assignee)

Comment 1

10 years ago
Comment on attachment 340124 [details] [diff] [review]
updates xr-moz19-bootstrap.cfg to build xr1.9.0.2

>? xr1901.patch
>? xr302.patch
>Index: tools/release/configs/xr-moz19-bootstrap.cfg
>===================================================================
>RCS file: /cvsroot/mozilla/tools/release/configs/xr-moz19-bootstrap.cfg,v
>retrieving revision 1.8
>diff -r1.8 xr-moz19-bootstrap.cfg
>1,2c1,2
>< version         = 1.9.0.1
>< milestone       = 1.9.0.1
>---
>> version         = 1.9.0.2
>> milestone       = 1.9.0.2
>4c4
>< productTag      = FIREFOX_3_0_1
>---
>> productTag      = FIREFOX_3_0_2
>7,9c7,9
>< #RelbranchOverride = GECKO190_20071207_RELBRANCH
>< pullDate        = 2008-07-02 1:52 PDT
>< l10n_pullDate   = 2008-07-02 1:52 PDT
>---
>> #RelbranchOverride = GECKO190_20080827_RELBRANCH
>> pullDate        = 2008-09-16 17:20 PDT
>> l10n_pullDate   = 2008-08-27 12:21 PDT
>12c12
>< oldVersion      = 1.9rc3
>---
>> oldVersion      = 1.9.0.1
(Reporter)

Comment 2

10 years ago
Created attachment 340125 [details] [diff] [review]
Same as previous patch but -u8p

Sorry for the crappy diff in the first patch.
Assignee: nobody → mark.finkle
Attachment #340124 - Attachment is obsolete: true
Attachment #340125 - Flags: review?(bhearsum)
(Reporter)

Comment 3

10 years ago
Comment on attachment 340125 [details] [diff] [review]
Same as previous patch but -u8p

Carrying Ben's r+ onto the the pretty patch
Attachment #340125 - Flags: review?(bhearsum) → review+
(Reporter)

Comment 4

10 years ago
Checking in tools/release/configs/xr-moz19-bootstrap.cfg;
/cvsroot/mozilla/tools/release/configs/xr-moz19-bootstrap.cfg,v  <--  xr-moz19-bootstrap.cfg
new revision: 1.9; previous revision: 1.8
done

cvs tag -F RELEASE_AUTOMATION_M11 tools/release/configs/xr-moz19-bootstrap.cf
g
T tools/release/configs/xr-moz19-bootstrap.cfg
(Reporter)

Comment 5

10 years ago
Created attachment 340396 [details] [diff] [review]
Because 1.9.0.3 is better than 1.9.0.2

Skipping ahead to 1.9.0.3 since Fx3.0.3 was just spun up
Attachment #340125 - Attachment is obsolete: true
Attachment #340396 - Flags: review?(bhearsum)
(Assignee)

Updated

10 years ago
Attachment #340396 - Flags: review?(bhearsum) → review+
I've built and run McCoy through it's automated tests on all platforms with the first build of 1.9.0.3 and it passes.
Summary: Do XULRunner 1.9.0.2 release spin → Do XULRunner 1.9.0.3 release spin
(Reporter)

Comment 7

10 years ago
OK, these builds look good to push to the release ftp site. Nick, is that you?
(Reporter)

Comment 8

10 years ago
You probably already know this, but the files are here:
http://ftp.mozilla.org/pub/mozilla.org/xulrunner/nightly/1.9.0.3-candidates/build1/
(Assignee)

Comment 9

10 years ago
i'll push this out
Assignee: mark.finkle → bhearsum
(Assignee)

Comment 10

10 years ago
As cltbld on stage:
cd ~
mkdir -p xulrunner-1.9.0.3/batch1
cd xulrunner-1.9.0.3/batch1
mkdir stage-unsigned
cd stage-unsigned
mkdir runtimes source sdk
rsync -av --exclude=*sdk* --exclude=*info* /home/ftp/pub/xulrunner/nightly/1.9.0.3-candidates/build1/ runtimes/
rsync -av --include=*sdk* --exclude=* /home/ftp/pub/xulrunner/nightly/1.9.0.3-candidates/build1/ sdk/
cp /home/ftp/pub/firefox/releases/3.0.3/source/firefox-3.0.3-source.tar.bz2 source/xulrunner-1.9.0.3-source.tar.bz2
cd ../
rsync -av stage-unsigned/ stage-signed/
cd stage-signed
~/bin/checksum-files .
cd ../
rsync -av stage-signed/* /home/ftp/pub/xulrunner/releases/1.9.0.3/
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → FIXED
Product: mozilla.org → Release Engineering
You need to log in before you can comment on or make changes to this bug.